import React, { ReactNode } from 'react';
import './index.css';
interface DynamicListCommonProps {
    heading?: String;
    data?: any[];
}
interface DynamicListProps extends DynamicListCommonProps {
    children?: ReactNode;
}
interface DynamicListHeaderProps extends DynamicListCommonProps {
    style?: React.CSSProperties;
    resultCountEnabled?: boolean;
}
interface DynamicListBodyProps extends DynamicListCommonProps {
    cardType: any;
}
declare const DynamicList: {
    (props: DynamicListProps): JSX.Element;
    Header: (props: DynamicListHeaderProps) => JSX.Element;
    Body: (props: DynamicListBodyProps) => JSX.Element;
};
export default DynamicList;
